mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices._ILGenerator To be added To be added
- Method
  System.Void `` The exception to be caught by the following code. Starts a handler for a particular exception. Any exceptions thrown in between the call to of a type derived from the will be handled by the code following this point in the generated IL stream. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Emit.Label Marks the beginning of a try block A label pointing to the end of the try block.

  Use this method to flag the beginning of a try block. See "Exception Handling" on the ECMA documentation Partition II for details on exception handling.

  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Flags the current instruction stream as the entry point for finally handlers. Code that was protected by the will always execude the code following this point. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Emit.LocalBuilder `` To be added: an object of type 'Type' To be added To be added: an object of type 'LocalBuilder' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Emit.LocalBuilder `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Reflection.Emit.Label Defines a new label, that can be used as a branch target. The newly defined label. This method only tells the that the given label exists, and that it can be used as a branch target by branch instructions. It doesn't tell the where the actual branch target is though, which is done using the method, This two step approach allows you to jump to code that hasn't been emitted yet. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The opcode. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` The opcode. byte argument value. Inserts an opcode with a byte argument into the IL stream. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` The opcode. double argument value. Inserts an opcode with a double argument into the IL stream. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` short argument value. The short argument value. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` The opcode. int argument value. Inserts an opcode with a int argument into the IL stream. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` The opcode. long argument value. Inserts an opcode with a long argument into the IL stream. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'OpCode' To be added. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(true)
- Method
  System.Void `` `` The opcode. The that's used to specify the branch target. Inserts an opcode with a branch target as argument into the IL stream. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'OpCode' To be added: an object of type 'Label []' To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'OpCode' To be added. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'OpCode' To be added. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'OpCode' To be added: an object of type 'Reflection.FieldInfo' To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'OpCode' To be added. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` The opcode. The sbyte argument value. Inserts an opcode with a sbyte argument into the IL stream. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` `` The opcode. float argument value. Inserts an opcode with a float argument into the IL stream. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` The opcode. string argument value. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'OpCode' To be added. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` OpCodes.Call or OpCodes.CallVirt. The method to invoke. Optional: The types of the arguments in the varargs calls. Emits a call to a method (supports varargs invocations) Emits a call to the method. If is non-null, then this is used to emit calls to vararg mehod. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` To be added: an object of type 'OpCode' To be added: an object of type 'Runtime.InteropServices.CallingConvention' To be added: an object of type 'Type' To be added. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'OpCode' To be added. To be added: an object of type 'Type' To be added. To be added. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The local variable to write. Helper routine to emits a call to WriteLine on the local variable. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The field to print out. Helper routine to emits a WriteLine call to print out the value of a field. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The message to be printed. Helper routine to emit a call to WriteLine a constant string. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Terminates an exception block. This terminates an exception block that was started with . 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.Void `` A that was defined using the method Marks the current position in the 's code stream as the place where branches to the given label should branch to. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` A pointer to the document writer (can be null). The starting line Starting column. Ending line. Ending column. Associates the IL position with a specific line of code on the source code line.

  This method is called to produce debugging information.

  The block defined by the start/end line and columns is associated with the code starting at the current position.

  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The exception type to throw. Helper routine to throw an exception. This will create an instance of the exception specified by the and throw that. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._ILGenerator)) System.Runtime.InteropServices.ComVisible(true)